# Generated by Django 5.0.6 on 2024-06-25 14:15

import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('video_transcoding', '0003_auto_20200525_1130'),
    ]

    operations = [
        migrations.CreateModel(
            name='AudioProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.SlugField(max_length=255)),
                ('order_number', models.SmallIntegerField(default=0)),
                ('condition', models.JSONField(default=dict)),
            ],
            options={
                'ordering': ['order_number'],
            },
        ),
        migrations.CreateModel(
            name='AudioTrack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.SlugField(max_length=255)),
                ('params', models.JSONField(default=dict)),
            ],
        ),
        migrations.CreateModel(
            name='Preset',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.SlugField(max_length=255, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AudioProfileTracks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_number', models.SmallIntegerField(default=0)),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='video_transcoding.audioprofile')),
                ('track', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='video_transcoding.audiotrack')),
            ],
            options={
                'ordering': ['order_number'],
                'unique_together': {('profile', 'track')},
            },
        ),
        migrations.AddField(
            model_name='audioprofile',
            name='audio',
            field=models.ManyToManyField(through='video_transcoding.AudioProfileTracks', to='video_transcoding.audiotrack'),
        ),
        migrations.AddField(
            model_name='audiotrack',
            name='preset',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='audio_tracks', to='video_transcoding.preset'),
        ),
        migrations.AddField(
            model_name='audioprofile',
            name='preset',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='audio_profiles', to='video_transcoding.preset'),
        ),
        migrations.AddField(
            model_name='video',
            name='preset',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='video_transcoding.preset'),
        ),
        migrations.CreateModel(
            name='VideoProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.SlugField(max_length=255)),
                ('order_number', models.SmallIntegerField(default=0)),
                ('condition', models.JSONField(default=dict)),
                ('preset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='video_profiles', to='video_transcoding.preset')),
            ],
            options={
                'ordering': ['order_number'],
            },
        ),
        migrations.CreateModel(
            name='VideoTrack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.SlugField(max_length=255)),
                ('params', models.JSONField(default=dict)),
                ('preset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='video_tracks', to='video_transcoding.preset')),
            ],
            options={
                'unique_together': {('name', 'preset')},
            },
        ),
        migrations.CreateModel(
            name='VideoProfileTracks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_number', models.SmallIntegerField(default=0)),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='video_transcoding.videoprofile')),
                ('track', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='video_transcoding.videotrack')),
            ],
            options={
                'ordering': ['order_number'],
                'unique_together': {('profile', 'track')},
            },
        ),
        migrations.AddField(
            model_name='videoprofile',
            name='video',
            field=models.ManyToManyField(through='video_transcoding.VideoProfileTracks', to='video_transcoding.videotrack'),
        ),
        migrations.AlterUniqueTogether(
            name='audiotrack',
            unique_together={('name', 'preset')},
        ),
        migrations.AlterUniqueTogether(
            name='audioprofile',
            unique_together={('name', 'preset')},
        ),
        migrations.AlterUniqueTogether(
            name='videoprofile',
            unique_together={('name', 'preset')},
        ),
    ]
